import { LogService } from '@ucap/logger';

import { AppApi, PlatformApi } from '@ucap/electron-common';

export class AppLoggerService extends LogService
  implements PlatformApi.AfterInit, PlatformApi.BeforeDestroy {
  static readonly ucapClassName: string = 'appLoggerService';

  constructor(private configuration: AppApi.AppConfiguration) {
    super(configuration.logger.moduleConfig);
  }

  ucapAfterInit(): void | Promise<void> {
    return new Promise<void>(async (resolve, reject) => {
      try {
        resolve();
      } catch (error) {
        reject(error);
      }
    });
  }

  ucapBeforeDestroy(): void | Promise<void> {
    return new Promise<void>(async (resolve, reject) => {
      try {
        resolve();
      } catch (error) {
        reject(error);
      }
    });
  }
}
