import { AppApi, PlatformApi, IpcMainApi } from '@ucap/electron-common';
import { WindowChannel } from '@ucap/electron-native';
import { AppI18nService } from './app-i18n.service';
import { AppLoggerService } from './app-logger.service';
import { WindowState } from '@ucap/native';

export class AppWindowService
  implements PlatformApi.AfterInit, PlatformApi.BeforeDestroy {
  static readonly ucapClassName: string = 'appWindowService';

  appI18nService: AppI18nService;
  appLoggerService: AppLoggerService;

  constructor(private configuration: AppApi.AppConfiguration) {}

  ucapAfterInit(): void | Promise<void> {
    return new Promise<void>(async (resolve, reject) => {
      try {
        resolve();
      } catch (error) {
        reject(error);
      }
    });
  }

  ucapBeforeDestroy(): void | Promise<void> {
    return new Promise<void>(async (resolve, reject) => {
      try {
        resolve();
      } catch (error) {
        reject(error);
      }
    });
  }
}
